#ifndef __CONFIGURATIONMODEL_H__
#define __CONFIGURATIONMODEL_H__

#include <QObject>
#include <QColor>

class ConfigurationManager : public QObject
{
	Q_OBJECT
public:
	ConfigurationManager(QString appName);
	~ConfigurationManager();
	
	QString defaultFont;
	QString defaultFontSize;
	QColor defaultFontColor;
	
	QColor editorColor;
	QColor treeColor;	
	
	bool useTrayIcon;
	bool closeToTray;
	bool showMessageOnCloseToTray;
	
	bool openLastFile;
	QString lastFile;
	
	QString dateFormat;
	
private:
	QString m_appName;
	
	void writeSettings();
	void readSettings();
};

#endif // __CONFIGURATIONMODEL_H__
